Bug 733565 - lsusb show wrong information of ZTE device
Summary: lsusb show wrong information of ZTE device
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: 15
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 02:48 UTC by lirui
Modified: 2011-11-04 08:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-04 07:18:39 UTC


Attachments (Terms of Use)

Description lirui 2011-08-26 02:48:31 UTC
Description of problem:

When you plug in a ZTE device (the vid is 19d2)and use “lsusb” ,then you will
see the vendor_name of information is “ONDA Communication S.p.A.”,not "ZTE WCDMA Technologies MSM" 

Version-Release number of selected component (if applicable):
as i see ,all the version

How reproducible:


Steps to Reproduce:
1.plug in a ZTE device (the vid is 19d2)
2.use “lsusb”
3.
  
Actual results:
will show the vendor_name "ONDA Communication S.p.A."

Expected results:
vendor_name shall be "ZTE WCDMA Technologies MSM"

Additional info:
as the lsusb will find the usb.ids in the path /usr/share/hwdata 
so please fix this file to change the ZTE vendor_name
"ONDA Communication S.p.A." to 
"ZTE WCDMA Technologies MSM"

Comment 1 Karsten Hopp 2011-08-29 13:26:44 UTC
Sorry, we don't patch the usb.ids file, we take it 'as is' from upstream. 
If the vendor for the USB id is wrong you need to contact the upstream provider of usb.ids [1] and have him change it.

What's more likely to happen is that you need to add all the ZTE sub-ids to the upstream database similar to p.e. https://usb-ids.gowdy.us/read/UD/19d2/0007

Please clear the NEEDINFO flag from this bugreport when that is done and I'll then prepare an update with the new IDs.


[1]  http://www.linux-usb.org/usb-ids.html

Comment 2 lirui 2011-08-30 01:04:34 UTC
Dear Karsten
ok,i will contact them to fix this,thank you !

Comment 3 Stephen J. Gowdy 2011-11-04 07:05:19 UTC
The vendor name changed in the usb.ids file at the end of September. Perhaps you need a newer version in Fedora?

Comment 4 lirui 2011-11-04 07:18:39 UTC
Dear Stephen,
Thanks,but i have another idea to talk with you as mail which i sent to you!

Comment 5 lirui 2011-11-04 08:09:13 UTC
Dear Karsten,
    Please update with the new IDs.
Thanks!


Note You need to log in before you can comment on or make changes to this bug.